Package org.eclipse.lemminx.extensions.filepath

## Class FilePathPlugin

- java.lang.Object
- - org.eclipse.lemminx.extensions.filepath.FilePathPlugin

All Implemented Interfaces:
  `IXMLExtension`

    public class FilePathPlugin
    extends Object
    implements IXMLExtension

File Path support plugin.

### Constructor Summary

Constructors
`FilePathPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doSave​(ISaveContext context)` Called when the Settings or a Document have been saved.
`List<IFilePathExpression>` `findFilePathExpressions​(DOMDocument xmlDocument)` Return the list of `FilePathExpression` for the given document and an empty list otherwise.
`FilePathSupportSettings` `getFilePathsSettings()`
`List<IFilePathSupportParticipant>` `getFilePathSupportParticipants()`
`void` `start​(org.eclipse.lsp4j.InitializeParams params, XMLExtensionsRegistry registry)` Start method to register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.
`void` `stop​(XMLExtensionsRegistry registry)` Stop method to un-register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilePathPlugin

    public FilePathPlugin()

### Method Detail

#### doSave

    public void doSave​(ISaveContext context)

Description copied from interface: `IXMLExtension`
Called when the Settings or a Document have been saved. context.getType() can be used to determine what type was saved. doSave is called on extension start up with a settings context to provide the xml settings to the extension.

Specified by:
  `doSave` in interface `IXMLExtension`

#### start

    public void start​(org.eclipse.lsp4j.InitializeParams params,
                      XMLExtensionsRegistry registry)

Description copied from interface: `IXMLExtension`
Start method to register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.

Specified by:
  `start` in interface `IXMLExtension`

#### stop

    public void stop​(XMLExtensionsRegistry registry)

Description copied from interface: `IXMLExtension`
Stop method to un-register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.

Specified by:
  `stop` in interface `IXMLExtension`

#### getFilePathsSettings

    public FilePathSupportSettings getFilePathsSettings()

#### findFilePathExpressions

    public List<IFilePathExpression> findFilePathExpressions​(DOMDocument xmlDocument)

Return the list of `FilePathExpression` for the given document and an empty list otherwise.

Parameters:
  `xmlDocument` - the DOM document
Returns:
  the list of `FilePathExpression` for the given document and an empty list otherwise.

#### getFilePathSupportParticipants

    public List<IFilePathSupportParticipant> getFilePathSupportParticipants()